Package org.snpsift.antlr

# Class SnpSiftParser.LiteralFloatContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.snpsift.antlr.SnpSiftParser.ExpressionContext
org.snpsift.antlr.SnpSiftParser.LiteralFloatContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Enclosing class:
  `SnpSiftParser`

public static class SnpSiftParser.LiteralFloatContext extends SnpSiftParser.ExpressionContext

## Field Summary

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`EMPTY, invokingState, parent`

## Constructor Summary

Constructors
Constructor
Description
`LiteralFloatContext(SnpSiftParser.ExpressionContext ctx)`

## Method Summary

Modifier and Type
Method
Description
`void`
`enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`void`
`exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`org.antlr.v4.runtime.tree.TerminalNode`
`FLOAT_LITERAL()`

### Methods inherited from class org.snpsift.antlr.SnpSiftParser.ExpressionContext

`copyFrom, getRuleIndex`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LiteralFloatContext

public LiteralFloatContext(SnpSiftParser.ExpressionContext ctx)

## Method Details

### FLOAT_LITERAL

public org.antlr.v4.runtime.tree.TerminalNode FLOAT_LITERAL()

### enterRule

public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

### exitRule

public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`